
import App
import Foundation

abbrev = 'NXMiranda'
iconName = 'NXMiranda'
longName = 'Miranda II'
shipFile = 'NXMiranda'
species = App.SPECIES_GALAXY
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'

Foundation.ShipDef.NXMiranda = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })
Foundation.ShipDef.NXMiranda.fMaxWarp = 9.8
Foundation.ShipDef.NXMiranda.fCruiseWarp = 7.6
Foundation.ShipDef.NXMiranda.dTechs = { 'Breen Drainer Immune': 1,
                                        'Fed Ablative Armor': { "Plates": ["Fwd Saucer Armor Plate", 
                                                                           "Aft Saucer Armor Plate", 
                                                                           "Engineering Armor Plate", 
                                                                           "Roll Bar Armor Plate", 
                                                                           "Port Nacelle Armor Plate", 
                                                                           "Star Nacelle Armor Plate"] }}

Foundation.ShipDef.NXMiranda.desc = "Miranda II Medium Cruiser\n\nOriginally supposed to be a light science vessel, the Miranda II class design was changed significantly during its development due to the growing threats throughout the galaxy.  Starfleet designers took several features from the highly successful Miranda class and combined them with existing Akira, Nebula and emerging Sovereign technology, resulting in a sleek, fast and powerful starship, exhibiting outstanding maneuverability for a ship of its size due to its compact design and very carefully placed gravitational center.  Armed with multiple medium phaser arrays, fore and aft pulse phaser cannons and photon torpedo launchers, which were later modified to also fire quantum torpedoes, it now serves as a supporting light cruiser to larger fleets as well as operating alone on exploration or diplomatic missions, the Miranda II class can defend itself in hostile environments."
if menuGroup:           Foundation.ShipDef.NXMiranda.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.NXMiranda.RegisterQBPlayerShipMenu(playerMenuGroup)


if Foundation.shipList._keyList.has_key(longName):
      Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
      Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
